##
##  nwcc.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         nwcc
Summary:      Small C Compiler
URL:          http://nwcc.sourceforge.net/
Vendor:       Nils Weller
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Compiler
License:      BSD
Version:      0.7.8
Release:      20090305

#   list of sources
Source0:      http://download.sourceforge.net/nwcc/nwcc_%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, nasm, gcc
PreReq:       OpenPKG, openpkg >= 20160101, nasm

%description
    Nils Weller's C Compiler (nwcc) is a small and portable ISO C90
    compiler with some GNU and C99 extensions. nwcc is not yet intended
    for serious production use. Instead it is mainly of interest for
    developers to check their sources against a minimalistic C compiler.

%track
    prog nwcc = {
        version   = %{version}
        url       = http://sourceforge.net/projects/nwcc/files/
        regex     = nwcc_(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n nwcc_%{version}

%build
    ./configure \
        --installprefix=%{l_prefix}
    %{l_make} %{l_mflags -O} \
        CC="%{l_cc} %{l_cflags -O}"

%install
    %{l_shtool} subst \
        -e 's;$INSTALLDIR;$DESTDIR$INSTALLDIR;g' \
        -e 's;ln -s;ln;g' \
        install.sh
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}
    DESTDIR=$RPM_BUILD_ROOT %{l_make} %{l_mflags} install
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/nwcc
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

